To check the status you need to read the Smart Transaction:
GET /api/v2/Smart/Transactions/STX_33PXAW2YN2NJTPM5KPGMK7QF5PBVA2 HTTP/1.1Host: connect-testing.secuconnect.comAuthorization: Bearer qb56tjj1bcvo9n2nj4u38k84loAccept: application/jsonIf everything is fine, the API responds with 200 OK: and the object representation:
HTTP/1.1 200 OKContent-Type: application/json { "object": "smart.transactions", "id": "STX_33PXAW2YN2NJTPM5KPGMK7QF5PBVA2", // ... "transactions": [ { "object": "payment.transactions", "id": "PCI_FDBREW9ZS7P6FTN4ZY2ATC6NK0QWO7" } ], "created": "2020-03-27T10:55:23+01:00", "updated": "2020-03-27T10:56:41+01:00", "status": "ok", // ... "payment_instructions": { "owner": "secupay AG", "iban": "DE81850400611005523759", "bic": "COBADEFFXXX", "bankname": "Commerzbank CC", "purpose": "TA 49425099", "girocode_url": "https://connect-testing.secupay-ag.de/qr/epc?stx=STX_33PXAW2YN2NJTPM5KPGMK7QF5PBVA2" }, // ...}The exact statusses are explained here: Status Flow of a Smart Transaction
This is the status flow of a Smart Transaction for e-commerce orders:
Some of the statusses will be skipped if they are not needed.
Detailed explanation:
Status | Description |
|---|---|
| Newly created Smart Transaction, modified before the payment was actually captured. |
| The payment is pre-authorised. It should be possible to capture the payment. Skipped if |
| The payment capture was requested, but is not acknowledged yet. You need to wait for status Always used with advance payment ( |
| The payment capture was approved and you can ship the goods. |
| Failed to authorise or actually capture the payment. |